#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	babel
%define		pypi_name	babel
Summary:	Babel - internationalization library for Python 2
Summary(pl.UTF-8):	Babel - biblioteka umiędzynaradawiająca dla Pythona 2
Name:		python3-%{module}
Version:	2.17.0
Release:	4
License:	BSD-like
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/babel/
Source0:	https://pypi.debian.net/babel/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	726d2ed119255a011d248ac0c9caa24a
URL:		http://babel.pocoo.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-devel-tools >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
BuildRequires:	python3-pytz >= 2015.7
%if %{with tests}
BuildRequires:	python3-freezegun
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
%endif
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.7
Obsoletes:	python-Babel < 0.9.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications).

%description -l pl.UTF-8
Babel to biblioteka Pythona zawierająca zintegrowany zbiór narzędzi
pomagających przy umiędzynaradawianiu i lokalizowaniu aplikacji w
Pythonie (w szczególności aplikacji WWW).

%package apidocs
Summary:	Python Babel API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Pythona Babel
Group:		Documentation

%description apidocs
Python Babel API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Pythona Babel.

%prep
%setup -q -n babel-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
TZ=UTC \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs -j1 html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/{pybabel,pybabel3}

find $RPM_BUILD_ROOT%{py3_sitescriptdir}/babel/locale-data -name '*.dat' | \
	sed -e "s#^$RPM_BUILD_ROOT##" | \
	sed -ne 's,.*/\([a-z][a-z][a-z]\?\)\(_[0-9][0-9][0-9]\|_[A-Z][a-z][a-z][a-z]\)\?\(_[A-Z][A-Z]\)\?\(_POSIX\)\?\.dat,&,p' > py3.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f py3.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES.rst LICENSE
%attr(755,root,root) %{_bindir}/pybabel3
%dir %{py3_sitescriptdir}/babel
%{py3_sitescriptdir}/babel/__pycache__
%{py3_sitescriptdir}/babel/global.dat
%{py3_sitescriptdir}/babel/*.py
%{py3_sitescriptdir}/babel/localtime
%{py3_sitescriptdir}/babel/py.typed
%dir %{py3_sitescriptdir}/babel/locale-data
%{py3_sitescriptdir}/babel/locale-data/root.dat
%lang(ca_ES@valencia) %{py3_sitescriptdir}/babel/locale-data/ca_ES_VALENCIA.dat
%{py3_sitescriptdir}/babel/messages
%{py3_sitescriptdir}/babel-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,api,*.html,*.js}
%endif
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-babel.git;a=log;h=master

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 0945f3d
- Release 4 (by relup.sh)

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> e2756c0
- package typing

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 4dba1c6
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ca7dece
- python 3.13 rebuild

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> e5e5435
- Up to 2.17.0 (python3 only)

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> af9886c
- disable pytest plugins

* Thu Apr 07 2022 Jan Rękorajski <baggins@pld-linux.org> bd75c88
- rel 4

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 593a10a
- rebuild with tests and docs

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> 44e4a38
- rel 3.1 for sphinx bootstrap build

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a4460b1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 94ad8fd
- rebuild with python 3.10

* Fri Mar 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 14b5b17
- versioned Obsoletes, run tests in UTC tz

* Fri Dec 03 2021 Jan Palus <atler@pld-linux.org> 8a78de7
- up to 2.9.1

* Fri Dec 03 2021 Jan Palus <atler@pld-linux.org> fd7d64c
- don't make locale data optional with %lang()

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> dda24d7
- release 4 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> ccf5270
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> eed5b75
- release 2 (by relup.sh)

* Mon Jan 20 2020 Jakub Bogusz <qboosh@pld-linux.org> cc19c97
- updated to 2.8.0

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 903c51b
- updated to 2.7.0

* Tue Oct 29 2019 Jan Rękorajski <baggins@pld-linux.org> 9aec2f7
- rel 2.1 for bootstrap build

